Skip to main content
DELETE
/
vaults
/
{vaultId}
/
quarantines
/
{quarantineId}
Unquarantine
curl --request DELETE \
  --url https://api.dfns.io/vaults/{vaultId}/quarantines/{quarantineId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-DFNS-USERACTION: <api-key>' \
  --data '
{
  "reason": "<string>"
}
'
import requests

url = "https://api.dfns.io/vaults/{vaultId}/quarantines/{quarantineId}"

payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"X-DFNS-USERACTION": "<api-key>",
"Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'DELETE',
headers: {
Authorization: 'Bearer <token>',
'X-DFNS-USERACTION': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({reason: '<string>'})
};

fetch('https://api.dfns.io/vaults/{vaultId}/quarantines/{quarantineId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "OK"
}

Authentication

✅ Organization User (CustomerEmployee)
❌ Delegated User (EndUser)
✅ Service Account

Required Permissions

Vaults:Balances:Unquarantine: Always required.

Authorizations

Authorization
string
header
required

Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows

X-DFNS-USERACTION
string
header
required

User Action Signature: Used to sign the change-inducing API requests. More details how to generate the token: User Action Signing flows

Path Parameters

vaultId
string
required

Vault id.

Required string length: 1 - 64
Pattern: ^vlt-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
quarantineId
string
required

Vault quarantine id.

Required string length: 1 - 64
Pattern: ^vlt-qua-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$

Body

application/json
reason
string

Response

200 - application/json

Success

status
enum<string>
required
Available options:
OK
Last modified on July 9, 2026